Bug 6404 - Segmentation fault на некоторых действиях
: Segmentation fault на некоторых действиях
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/gphoto2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-04 17:01 by
Modified: 2005-09-04 23:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-04 17:01:29
У меня фотоапппарат Canon PowerShot S50. Столкнулся с такой фишкой - если я
прошу gphoto2 показать список директорий или файлов, или пытаюсь скачать
несуществующий файл по номеру, то gphoto2 падает в segmentation falut:
--
gphoto2 --camera "Canon PowerShot S50 (normal mode)" -l
Detected a 'Canon:PowerShot S50 (normal mode)'.                                
Segmentation fault
--
gphoto2 --camera "Canon PowerShot S50 (normal mode)" -p 20   
Detected a 'Canon:PowerShot S50 (normal mode)'.                                

*** Ошибка ***              
Segmentation fault
--
Хотя если попросить скачать все файлы - то нормально скачиват.
------- Comment #1 From 2005-04-05 01:23:14 -------
Это в консоли?

Если да, то однозначно глюк драйвера вашего аппарата. Это не сюда, а прямо
авторам надо писать. Я этого не иправлю.
------- Comment #2 From 2005-04-05 01:27:09 -------
Впрочем и в gtkam тоже. Иначе повторялось бы для всех моделей, но другие
работают нормально. 
------- Comment #3 From 2005-05-03 13:02:56 -------
Закрываю как WONTFIX, потому что это проблема отдельного драйвера, который я не
могу использовать и тестировать в связи с отсутствием у меня фотоаппарата Canon
(приму в качестве подарка :) ),  

За ее решением следует обращаться сюда: http://www.gphoto.org/bugs или к
авторам
драйвера Canon, если gphoto2 --manual даст адрес.